<?php
namespace nur\data\types;

class STimeslotType extends AbstractComplexType {
  const TITLE = "plage horaire";

  const COMPONENTS = [
    "start" => [
      "type" => [SHourType::class],
      "key" => "ts_start",
      "title" => "heure de début (inclue)",
      "allow_parse_empty" => true,
    ],
    "end" => [
      "type" => [SHourType::class],
      "key" => "ts_end",
      "title" => "heure de fin (non inclue)",
      "allow_parse_empty" => true,
    ],
  ];
  const SEPARATOR = "-";
  const SEPARATOR_PATTERN = '/^\s*(?:-\s*)?/';

  function getClass(): string {
    return "array";
  }
}
